CAC Advanced
curl --request POST \
--url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac_advanced/ \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"registration_number": "10056",
"company_name": "JOYCE VENTURES",
"company_type": "IT"
}
'import requests
url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac_advanced/"
payload = {
"registration_number": "10056",
"company_name": "JOYCE VENTURES",
"company_type": "IT"
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
registration_number: '10056',
company_name: 'JOYCE VENTURES',
company_type: 'IT'
})
};
fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac_advanced/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "failed",
"data": [
"<unknown>"
],
"message": "<string>"
}{
"status": "failed",
"message": "Authentication credentials were not provided."
}Nigeria
CAC Avancé
Récupérez un profil CAC complet incluant les directeurs et la structure de participation.
POST
/
api
/
onboarding
/
nigeria_kyc
/
cac_advanced
/
CAC Advanced
L’endpoint CAC Avancé renvoie un profil d’entreprise complet depuis la Corporate Affairs Commission, incluant la liste complète des directeurs, leurs détails personnels, les informations de participation et les données PSC affiliées.
Endpoint
POST /api/onboarding/nigeria_kyc/cac_advanced/
Requête
En-têtes
| En-tête | Valeur | Requis |
|---|---|---|
x-access-token | Votre clé secrète API | Oui |
Content-Type | application/json | Oui |
Paramètres de corps
| Paramètre | Type | Requis | Description |
|---|---|---|---|
registration_number | string | Oui | Le numéro d’enregistrement CAC |
company_name | string | Oui | Nom de l’entreprise enregistré |
company_type | string | Oui | Type d’entité : "RC" (société enregistrée), "BN" (nom commercial) ou "IT" (fiduciaire incorporé) |
Exemple
curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac_advanced/" \
-H "x-access-token: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{"registration_number": "10056", "company_name": "JOYCE VENTURES", "company_type": "IT"}'
import requests
response = requests.post(
"https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/cac_advanced/",
headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
json={"registration_number": "10056", "company_name": "JOYCE VENTURES", "company_type": "IT"},
)
Réponse
200 OK
| Champ | Type | Description |
|---|---|---|
data.rc_number | string | Numéro d’enregistrement |
data.company_name | string | Nom de l’entreprise |
data.company_id | integer | ID interne de l’entreprise |
data.entity_type | string | Type d’entité (par ex. "IT", "RC", "BN") |
data.company_status | string | Par ex. "ACTIVE" |
data.registrationDate | string | Date d’enregistrement |
data.directors | array | Liste des directeurs avec leurs détails personnels et de participation complets |
data.directors[].firstname | string | Prénom du directeur |
data.directors[].surname | string | Nom de famille du directeur |
data.directors[].gender | string | Genre du directeur |
data.directors[].status | string | Statut du directeur (par ex. "ACTIVE") |
data.directors[].isChairman | boolean | true si le directeur est le président |
data.directors[].dateOfAppointment | string | Date de nomination |
{
"status": "success",
"data": {
"rc_number": "10056",
"company_name": "JOYCE VENTURES",
"company_id": 906200,
"entity_type": "IT",
"company_status": "ACTIVE",
"registrationDate": "2007-03-30",
"directors": [
{
"id": 11234246,
"firstname": "SAMSON",
"surname": "ADELOLU",
"otherName": "DANIEL",
"gender": "MALE",
"status": "ACTIVE",
"occupation": "CLERGY",
"isChairman": true,
"dateOfAppointment": "2007-03-13T00:00:00.000+00:00",
"city": "IBADAN",
"state": "OYO",
"address": "NO. 4, AGBA ROAD, SANYO"
}
]
},
"message": "Business Registration details retrieved successfully"
}
400 Bad Request
{
"status": "failed",
"data": [],
"message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
401 Unauthorized
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
Autorisations
Your Adhere API secret key
Corps
application/json
Réponse
CAC advanced data retrieved

